Bug 1458446 - Probably a Type-0 in package-cleanup that is inside dnf-utils.
Probably a Type-0 in package-cleanup that is inside dnf-utils.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
x86_64 Windows
unspecified Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-02 18:49 EDT by Nimrod Levy
Modified: 2017-06-16 09:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-2.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 09:19:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nimrod Levy 2017-06-02 18:49:33 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

everytime.
Steps to Reproduce:
1. issue "package-cleanup --oldkernels"
2.
3.

Actual results:
raceback (most recent call last):
  File "/bin/package-cleanup", line 88, in <module>
    args[args.ingex('--oldkernels')] = '--installonly'
AttributeError: 'list' object has no attribute 'ingex'


Expected results:
old kernel cleanup.

Additional info:
I think its a typo, i am pretty much sure the methods is xxxx.index rather than :ingex" ;)

anyhow please fix it if you may thanks.
Comment 1 Jaroslav Mracek 2017-06-05 09:23:27 EDT
I created patch (https://github.com/rpm-software-management/dnf-plugins-core/pull/222) that should fix the problem.
Comment 2 Fedora Update System 2017-06-12 11:30:55 EDT
dnf-plugins-core-2.1.1-1.fc26 libdnf-0.9.1-1.fc26 dnf-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb
Comment 3 Fedora Update System 2017-06-13 21:36:19 EDT
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb
Comment 4 Fedora Update System 2017-06-14 01:34:56 EDT
dnf-2.5.1-1.fc26 dnf-plugins-core-2.1.1-1.fc26 dnfdaemon-0.3.18-3.fc26 libdnf-0.9.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb
Comment 5 Fedora Update System 2017-06-15 09:56:24 EDT
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb
Comment 6 Fedora Update System 2017-06-16 09:19:16 EDT
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.